# LinkageDetails

interface LinkageDetails

Represents the linkage details for a binary.

#### Since

4.10

## Functions

getAdditionalArgs
Link copied to clipboard
abstract fun getAdditionalArgs(): List<String>
Returns any additional linker arguments.
getLinkTask
Link copied to clipboard
abstract fun getLinkTask(): Task
Returns details of the link task for the binary.
getOutputLocation
Link copied to clipboard
abstract fun getOutputLocation(): File
Returns the output location of this binary.